wmgtemp(1)

NAME
wmgtemp - Temperature sensor dock app for Window Maker

SYNOPSIS
wmgtemp [options]

DESCRIPTION
wmgtemp is a dock-app for Window Maker that graphically displays the CPU and System temperatures using the lm_sensors package. It displays the CPU and System temperature values, a scaling graph of temperature history, high-temperature warning lights and temperatures in degrees Celsius, Fahrenheit or Kelvin.

The temperature graph is auto scaling, meaning that if the max or min temperature boundary is crossed the graph will be scaled to display the temperature. A red line marks the upper boundary whereas a blue line indicates the lower boundary. When all the temperatures being displayed are within the boundaries the graph will be scaled back to the preset values for min/max and the boundary indicator lines will be removed.

The high temperature warning lights located on the left of the temperature type indicators show amber or red when the warning or high temperatures are reached respectively. Normal operating temperature is indicated by no light.

OPTIONS

-h, --help
    display the usage information

-s, --scale=SCALE
    show temperatures using SCALE temperature scale. SCALE=celcius, fahrenheit or kelvin.
    Default: celcius

-S, --sensorconf=PATH
    specify the PATH to the lm_sensors config
    Default: /etc/sensors.conf

-g, --graph=STYLE
    display graph as STYLE. STYLE=line or block.
    Default: line

-H, --high=TEMP
    display red warning light at TEMP degrees celcius.
    Default: 50

-w, --warn=TEMP
    display amber warning light at TEMP degrees celcius.
    Default: 45

-u, --update=SEC
    update the display every SEC seconds.
    Default: 1

-m, --min=TEMP
    set the lower bound of the graph to TEMP degrees celcius.
    Default: 20

-M, --max=TEMP
    set the upper bound of the graph to TEMP degrees celcius.
    Default: 35

-1, --feature1=F1
    set the feature for CPU
    Default: temp1

-2, --feature2=F2
    set the feature for SYS
    Default: temp2

-c, --chip=CHIP
    specify the chip sensor to use
    Default: auto

-a, --execat=TEMP
    execute a command at TEMP degrees celcius.
    Default: none

-e, --exec=COMMAND
    execute COMMAND when the 'execat' temperature is reached.
    Default: none

-t, --swap
    swap/transpose temperature values

-q, --quiet
    Don't display any messages

FILES
~/.wmgtemprc    User configuration.

The format of this file is:

    # wmgtemp example config
    scale:celcius
    graph:line
    high:50
    warn:45
    update:1
    min:25
    max:35
    execat:80
    exec:shutdown -h 10
    swap:n
    quiet:y
    feature1:temp1
    feature2:temp2

USAGE

  Graph
You can cycle through the graph types by clicking on the graph display area.

  High Temperature Toggle
You can toggle the displaying of high temperatures by click on the temperature for the corrosponding temperature. The viewing of high temperatures is indicated by an amber arrow to the left of the temperature. The current temperatures will continue to be displayed on the graph.

  Temperature display TOGGLE

You may toggle the displaying of a temperature on the graph by clicking on the corrosponding type. e.g To toggle the display of the CPU temperature click on CPU. The type indicator (CPU or SYS) will disappear and the temperature will not be displayed on the graph, although the temperature value will continue to be displayed.

  Temperature Scale Cycling

You may change the scale the temperatures are displayed in by clicking on either of the CPU or SYS scale indicators. The cycle order is C -> K -> F

BUGS
Blank lines in the config file cause a Segmentation Fault.

SEE ALSO
sensors.conf(5), libsensors(3), wmaker(1x)

AUTHOR
wmgtemp was written by Roger Dunce <kronos@fluxcode.net>